# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth/b2c/version'

Gem::Specification.new do |spec|
  spec.name          = "omniauth-b2c"
  spec.version       = Omniauth::B2c::VERSION
  spec.authors       = ["Raj Ragula (Schakra Inc)"]
  spec.email         = ["v-ragulr@microsoft.com"]

  spec.summary       = "OmniAuth strategy for Active Directory B2C"
  spec.description   = "OmniAuth strategy for session management with Active Directory B2C"
  spec.homepage      = "https://github.com/rajanikanthr/omniauth-adb2c"
  spec.license       = "MIT"

  spec.files           = `git ls-files`.split("\n")
  spec.require_paths   = ['lib']

  spec.add_runtime_dependency 'jwt', '~> 1.5'
  spec.add_runtime_dependency 'omniauth', '~> 1.1'

  spec.add_development_dependency 'rake', '~> 10.4'
  spec.add_development_dependency 'rspec', '~> 3.3'
  spec.add_development_dependency 'rubocop', '~> 0.32'
  spec.add_development_dependency 'simplecov', '~> 0.10'
  spec.add_development_dependency 'webmock', '~> 1.21'
end